[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomSplitter.SetAlign

Sets the value for the Align property.

## Declaration

Source position: extctrls.pp line 406

`protected procedure TCustomSplitter.SetAlign(`
`Value: TAlign`
`); override;`

## Arguments

`Value` |  | New value for the Align property.

## Description

SetAlign is an overridden method in TCustomSplitter which sets the value for the Align property. It ensures that ResizeAnchor is updated to reflect the new value for the property. Values in Anchors are also updated to reflect the new alignment value in the property.

When Align has a value other than clClient and Anchors is not modified, the bounds for the control are adjusted to keep the existing Width or Height for the Align value.

## See also

TCustomSplitter.Align |  | Specifies the aligned edge for the splitter within its Parent and relative to ResizeControl.
TCustomSplitter.ResizeAnchor |  | Indicates the orientation and alignment for the splitter control.
TWinControl.SetBounds |  | Sets the control bounds and adjusts child and docked controls.
TControl.SetAlign |  | Sets the value for the Align property.
TControl.Anchors |  | The set of anchor definitions for this control.
TControl.Width |  | The horizontal size for the control.
TControl.Height |  | The vertical size for the control.
TAnchorKind |  | The control side to be anchored.
TAnchors |  | Set type used to store values from the TAnchorKind enumeration.